module Spree
  module Api
    module Returnly
      class ApiController < Spree::Api::BaseController
        before_action :set_headers

        def set_headers
          response.headers['X-Returnly-Extension-Version'] = ::Returnly::VERSION
          response.headers['X-Returnly-Extension-Platform-Qualifier'] = ::Returnly.platform_version
        end
      end
    end
  end
end
